Replaces a rate catalog entry by ID.
PUT
/v1/m/finops/model-rates/{id}
const url = 'https://example.com/v1/m/finops/model-rates/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"cache_creation_rate_micro_usd":1,"cache_read_rate_micro_usd":1,"created_at":"example","effective_from":"2026-04-15T12:00:00Z","effective_until":"","id":"example","input_rate_micro_usd":1,"model":"example","notes":"example","output_rate_micro_usd":1,"provider":"example","updated_at":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/m/finops/model-rates/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "cache_creation_rate_micro_usd": 1, "cache_read_rate_micro_usd": 1, "created_at": "example", "effective_from": "2026-04-15T12:00:00Z", "effective_until": "", "id": "example", "input_rate_micro_usd": 1, "model": "example", "notes": "example", "output_rate_micro_usd": 1, "provider": "example", "updated_at": "example" }'Replaces a rate catalog entry by ID.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Path parameter id.
Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
object
cache_creation_rate_micro_usd
integer format: int64
cache_read_rate_micro_usd
integer format: int64
created_at
string
effective_from
required
string format: date-time
id
string
input_rate_micro_usd
required
integer format: int64
model
required
string
notes
string
output_rate_micro_usd
required
integer format: int64
provider
required
string
updated_at
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}